Package com.mouseviator.fsuipc.datarequest.primitives

# Class IntRequest

java.lang.Object
com.mouseviator.fsuipc.datarequest.DataRequest
com.mouseviator.fsuipc.datarequest.primitives.IntRequest

All Implemented Interfaces:
  `IDataRequest<java.lang.Integer>`

    public class IntRequest
    extends DataRequest
    implements IDataRequest<java.lang.Integer>

This class implements integer data request for use with `FSUIPC` class. The internal byte data buffer length will be 4 bytes (32 bit), matching FSUIPC 32bit signed/unsigned DWORD value. If you are familiar with FSUIPC lua functions, or other data type marking, this will match data that you can read in lua with readUD and readSD function.

Author:
  Mouseviator

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `IDataRequest.RequestType`

- ## Field Summary

  ### Fields inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `BUFFER_LENGTH_BYTE, BUFFER_LENGTH_DOUBLE, BUFFER_LENGTH_FLOAT, BUFFER_LENGTH_INT, BUFFER_LENGTH_LONG, BUFFER_LENGTH_SHORT, dataBuffer, MAX_OFFSET_VALUE, MIN_OFFSET_VALUE, offset, type`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IntRequest()` | Creates a new integer data request.
  `IntRequest​(int offset)` | Creates a new integer data request associated with given offset.
  `IntRequest​(int offset, int value)` | Creates a new integer data request associated with given offset and with given value.This also sets data request type to WRITE.
  `IntRequest​(int offset, java.lang.Integer value)` | Creates a new integer data request associated with given offset and with given value.This also sets data request type to WRITE.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Integer` | `getValue()` | Returns the value stored within this data request byte data buffer.
  `void` | `setValue​(java.lang.Integer value)` | Sets the value to be stored in the byte data buffer of this data request.

  ### Methods inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `convertStringToByteArray, copyByteArray, getDataBuffer, getDouble, getFloat, getInt, getLong, getOffset, getShort, getSize, getType, getZeroTerminatedString, putDouble, putDouble, putFloat, putFloat, putInt, putInt, putLong, putLong, putShort, putShort, setOffset, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `getDataBuffer, getOffset, getSize, getType, setOffset, setType`

- ## Constructor Details

  - ### IntRequest

    public IntRequest()
    Creates a new integer data request.

  - ### IntRequest

    public IntRequest​(int offset) throws java.security.InvalidParameterException
    Creates a new integer data request associated with given offset.
    Parameters:
      `offset` - An offset to associate this data request with.
    Throws:
      `java.security.InvalidParameterException`

  - ### IntRequest

    public IntRequest​(int offset, int value) throws java.security.InvalidParameterException
    Creates a new integer data request associated with given offset and with given value.This also sets data request type to WRITE.
    Parameters:
      `offset` - An offset to associate this data request with.
      `value` - The actual value.
    Throws:
      `java.security.InvalidParameterException`

  - ### IntRequest

    public IntRequest​(int offset, java.lang.Integer value) throws java.security.InvalidParameterException
    Creates a new integer data request associated with given offset and with given value.This also sets data request type to WRITE.
    Parameters:
      `offset` - An offset to associate this data request with.
      `value` - The actual value.
    Throws:
      `java.security.InvalidParameterException`

- ## Method Details

  - ### getValue

    public java.lang.Integer getValue()
    Description copied from interface: `IDataRequest`
    Returns the value stored within this data request byte data buffer.
    Specified by:
      `getValue` in interface `IDataRequest<java.lang.Integer>`
    Returns:
      The value stored within this data request.

  - ### setValue

    public void setValue​(java.lang.Integer value)
    Description copied from interface: `IDataRequest`
    Sets the value to be stored in the byte data buffer of this data request.
    Specified by:
      `setValue` in interface `IDataRequest<java.lang.Integer>`
    Parameters:
      `value` - The value to store.